Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.OptimizeScannedPDFSettings Class Reference
Inheritance diagram for FoxitPDFSDKPython3.OptimizeScannedPDFSettings:

## Public Member Functions
def | OptimizeScannedPDFSettings (other)
| Constructor, with another result information object. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | SetColorGrayImageCompressionMode (mode)
| Set compression mode used for optimizing color/gray images in the scanned PDF document. More...
def | SetColorGrayImageCompressionQuality (quality)
| Set the quality for lossy compression modes, used for optimizing color/gray images in a scanned PDF document. More...
def | SetMonoImageCompressionMode (mode)
| Set compression mode used for optimizing monochrome images in a scanned PDF document. More...
def | SetOptimizedPages (pages)
| Set the pages which will be optimized. More...

## Static Public Attributes
| e_ScannedImageCompressHigh = _fsdk.OptimizeScannedPDFSettings_e_ScannedImageCompressHigh
| Compression mode: high.
| e_ScannedImageCompressjpeg = _fsdk.OptimizeScannedPDFSettings_e_ScannedImageCompressjpeg
| Compression mode: jpeg.
| e_ScannedImageCompressjpeg2000LossLess = _fsdk.OptimizeScannedPDFSettings_e_ScannedImageCompressjpeg2000LossLess
| Compression mode: jpeg2000 lossless.
| e_ScannedImageCompressjpeg2000Lossy = _fsdk.OptimizeScannedPDFSettings_e_ScannedImageCompressjpeg2000Lossy
| Compression mode: jpeg2000 lossy.
| e_ScannedMonoImageCompressCCITT4 = _fsdk.OptimizeScannedPDFSettings_e_ScannedMonoImageCompressCCITT4
| Compression mode: CCITT Group 4.
| e_ScannedMonoImageCompressHigh = _fsdk.OptimizeScannedPDFSettings_e_ScannedMonoImageCompressHigh
| Compression mode: high.
| e_ScannedMonoImageCompressjbig2LossLess = _fsdk.OptimizeScannedPDFSettings_e_ScannedMonoImageCompressjbig2LossLess
| Compression mode: jbig2 lossless.
| e_ScannedMonoImageCompressjbig2Lossy = _fsdk.OptimizeScannedPDFSettings_e_ScannedMonoImageCompressjbig2Lossy
| Compression mode: jbig2 lossy.

## Detailed Description

This class represents settings for optimizing a scanned PDF document. It would be used in class Optimizer .

See also
  Optimizer

## Constructor & Destructor Documentation

## ◆ OptimizeScannedPDFSettings()

def FoxitPDFSDKPython3.OptimizeScannedPDFSettings.OptimizeScannedPDFSettings | ( |  | other | ) |

Constructor, with another result information object.

Parameters

  [in] | other | Another optimizer settings object.

## Member Function Documentation

## ◆ IsEmpty()

def FoxitPDFSDKPython3.OptimizeScannedPDFSettings.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetColorGrayImageCompressionMode()

def FoxitPDFSDKPython3.OptimizeScannedPDFSettings.SetColorGrayImageCompressionMode | ( |  | mode | ) |

Set compression mode used for optimizing color/gray images in the scanned PDF document.

For a newly constructed object, if this function is not called to set option, that means to use OptimizeScannedPDFSettings::e_ImageCompressjpeg as the default value of this option.

Parameters

  [in] | mode | Image compression mode. Please refer to values starting from FoxitPDFSDKPython3.OptimizeScannedPDFSettings.e_ScannedImageCompressHigh and this should be one of these values.

Returns
  None.

## ◆ SetColorGrayImageCompressionQuality()

def FoxitPDFSDKPython3.OptimizeScannedPDFSettings.SetColorGrayImageCompressionQuality | ( |  | quality | ) |

Set the quality for lossy compression modes, used for optimizing color/gray images in a scanned PDF document.

For a newly constructed object, if this function is not called to set this option, that means to use 33 as the default value of this option.

Parameters

  [in] | quality | Quality value for lossy compression modes, the value must between 0 and 100.

Note
  This method only valid in FoxitPDFSDKPython3.OptimizeScannedPDFSettings.e_ScannedImageCompressHigh and FoxitPDFSDKPython3.OptimizeScannedPDFSettings.e_ScannedImageCompressjpeg compress mode.

Returns
  None.

## ◆ SetMonoImageCompressionMode()

def FoxitPDFSDKPython3.OptimizeScannedPDFSettings.SetMonoImageCompressionMode | ( |  | mode | ) |

Set compression mode used for optimizing monochrome images in a scanned PDF document.

For a newly constructed object, if this function is not called to set option, that means to use FoxitPDFSDKPython3.OptimizeScannedPDFSettings.e_ScannedMonoImageCompressjbig2Lossy as the default value of this option.

Parameters

  [in] | mode | Image compression mode. Please refer to values starting from FoxitPDFSDKPython3.OptimizeScannedPDFSettings.e_ScannedMonoImageCompressjbig2Lossy and this should be one of these values.

Returns
  None.

## ◆ SetOptimizedPages()

def FoxitPDFSDKPython3.OptimizeScannedPDFSettings.SetOptimizedPages | ( |  | pages | ) |

Set the pages which will be optimized.

For a newly constructed object,if this function is not called. all pages will be optimized.

Parameters

  [in] | pages | The Specify pages, If pages doesn't not add pages index means all pages will be optimized.

Returns
  None.